PDA

View Full Version : SCSI disc & Windows 10 LTSB



advanc3d
25.04.2019, 13:14
Hello,

I already have found that I need to update my Windows 10 to the latest one (1809) to get no Error 55 when mounting SCSI disc with my Daemon Tools 8 Pro. But the problem is that I have LTSB version of OS (version from systeminfo 10.0.14393, 14393) and if I am right I can't install updates (Windows update service doesn't show I have available updates and manual update showed that there is newer 1809 version but I can't install it). Is there any way to solve my problem?

Thanks in advance.

SUPPORT1
25.04.2019, 14:37
Hello,


Such an issue is known with ver. 1803 which completely, but it completely fixes with 1809 update, though. Therefore, I would recommend installing the latest available 1809 using the MediaCreationTool1809.exe
downloaded from official MS website - https://www.microsoft.com/en-us/software-download/windows10.
Are IDE devices creating well?

SUPPORT1
15.09.2019, 17:19
Hello,

I'm latest 1903 version is good to install as it's most actual for now. The latest updates include manual updates management, so you may adjust your own pattern (advanced option of update&security).